'''
Created on 2013-07-29

@author: Jackie
'''

from utilities.io import cmdline_io
from dseval.sigtest import bootstrap_sigtest
from dseval.relation_classification import compute_auc
def print_help():
    print 'Evaluating distributional semantics by relation classification'
    print '''
    Author: Jackie Chi Kit Cheung
    jcheung@cs.toronto.edu
    
    --Input Format--
    Please see README.txt or examples for more details.
    
    --Usage--
    (1) To compute the AUC score from a list of similarity scores:
    python ./relclass_eval.py -t evaluate -i <input file>
    
    (2) To perform randomized bootstrap significance test:
    python ./relclass_eval.py -t sigtest -i <input file 1> -j <input file 2>
    
    Both usages write to standard output, and also write debug output to standard error.
    Other options:
    -h             Print this help message
    '''
    exit()
    
if __name__ == '__main__':
    params, c = cmdline_io('hi:j:t:', print_help, default_config = None)
    task = params['-t']
    
    if task == 'evaluate':
        # should generate something that is like the details file I currently generate
        compute_auc(params['-i'])
    elif task == 'sigtest':
        bootstrap_sigtest(params['-i'], params['-j'])